Subject: Re: [PATCH/RFC] Adding IP(v6) address with scope link creates global address

From: Brian Haley <[email-masked]>
Date: Mon, 07 Dec 2009 12:18:06 -0500

Hi Andreas,

Andreas Henriksson wrote:
> Hello again!
> 
> Replying to myself (see http://www.spinics.net/lists/netdev/msg113943.html)
> and attaching an untested patch to see if this sparks more interest.
> 
> On Wed, Nov 25, 2009 at 02:59:45PM +0100, Andreas Henriksson wrote:
>> "Jedasothi" reported problems setting scope with iproute on newly added
>> ipv6 addresses in:
>> https://bugs.launchpad.net/ubuntu/+source/iproute/+bug/487745
>>
>>> To reproduce bug run
>>> ip addr add '::4/64' scope link dev eth0
>>>
>>> This results in a line seen with
>>> ip addr show eth0
>>> inet6 ::4/64 scope global tentative
>>>
>>> The label "global" is seen instead of "link".
> 
> I'd appreciate if someone could review and test this:

I tried the patch quickly since I was curious why this is a problem, but
it didn't work exactly right.  I could post an update, but I'm not sure
this is the right thing to do - ::4 isn't a link-local address, and other
parts of the network stack (and other systems) aren't going to treat it as
such.

Maybe the submitter can explain exactly how this is breaking something?

Thanks,

-Brian